### Method

# Ide DebugManager get_breakpoints_for_file

#### Declaration

    IdeDebuggerBreakpoints*
    ide_debug_manager_get_breakpoints_for_file (
      IdeDebugManager* self,
      GFile* file
    )

#### Description

This returns an `IdeDebuggerBreakpoints` that represents the breakpoints within a given file.

This inderect breakpoints container provides a very fast way to check if a line has a breakpoint set. You want to use this when performance really matters such as from the gutter of the source editor.

Breakpoints contained in the resulting structure will automatically propagate to the debugger when the debugger has been successfully spawned.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeDebuggerBreakpoints`
| An `IdeDebuggerBreakpoints`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.